Results 1 to 4 of 4

Thread: trouble with ffmpeg

  1. #1
    Join Date
    Dec 2006
    Location
    South West England
    Beans
    287
    Distro
    Ubuntu 11.10 Oneiric Ocelot

    trouble with ffmpeg

    Hi guys
    Sth's gonna funny with my last update and ffmpeg doesn't do the job any more.
    I'm trying to convert an avi video to mp4 format and this is what I get:
    ffmpeg -i day_trip.avi -f mp4 -vcodec libxvid -s 640x360 -b 768kb -r 25 -aspect 16:9 -acodec libfaac0 -ab 96kb -ar 44100 -ac 2 day_trip.mp4
    ffmpeg version 0.8.3-4:0.8.3-0ubuntu0.12.04.1, Copyright (c) 2000-2012 the Libav developers
    built on Jun 12 2012 16:52:09 with gcc 4.6.3
    *** THIS PROGRAM IS DEPRECATED ***
    This program is only provided for compatibility and will be removed in a future release. Please use avconv instead.
    Input #0, avi, from 'day_trip.avi':
    Duration: 01:48:26.92, start: 0.000000, bitrate: 1957 kb/s
    Stream #0.0: Video: mpeg4 (Simple Profile), yuv420p, 720x384 [PAR 1:1 DAR 15:8], 25 tbr, 25 tbn, 25 tbc
    Stream #0.1: Audio: ac3, 48000 Hz, 5.1, s16, 384 kb/s
    Unknown encoder 'libfaac0'


    I checked and i do have libfaac0 in synaptic?
    Any help is appreciated
    Regards
    Sokol
    Pain is weakness leaving the body. Paddy

  2. #2
    Join Date
    Jul 2012
    Beans
    315
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: trouble with ffmpeg

    First off, try using avconv instead of ffmpeg (syntax is much the same)

    Alternatively, compile ffmpeg from source using FakeOutdoorsman's excellent guide (See Tutorials & Tips) and you will be back where you started but in much better shape!
    The best things in life are free, so what are we paying for?

  3. #3
    Join Date
    Jul 2006
    Location
    Lancashire
    Beans
    Hidden!
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: trouble with ffmpeg

    Quote Originally Posted by sn0m View Post
    Unknown encoder 'libfaac0'
    Hi
    With FFmpeg from the Ubuntu-12.04 repository....
    Install the extra codecs:-
    Code:
    sudo apt-get install libavcodec-extra-53
    Then use a command like this:-
    Code:
    ffmpeg -i day_trip.avi -vcodec libxvid -s 640x360 -b 768k -r 25 -aspect 16:9 -acodec libvo_aacenc -ab 96k -ar 44100 -ac 2 day_trip.mp4
    Explanation....
    Your version of FFmpeg has been compiled with a different aac encoder.
    Uses libvo_aacenc instead of libfaac.
    With command ffmpeg -codecs you see that libfaac isn't on the list.
    Last edited by ron999; September 30th, 2012 at 03:20 PM. Reason: Added explanation.

  4. #4
    Join Date
    May 2013
    Beans
    1

    Thumbs up Re: trouble with ffmpeg

    Quote Originally Posted by ron999 View Post
    Hi
    With FFmpeg from the Ubuntu-12.04 repository....
    Install the extra codecs:-
    Code:
    sudo apt-get install libavcodec-extra-53

    Then use a command like this:-
    Code:
    ffmpeg -i day_trip.avi -vcodec libxvid -s 640x360 -b 768k -r 25 -aspect 16:9 -acodec libvo_aacenc -ab 96k -ar 44100 -ac 2 day_trip.mp4
    Explanation....
    Your version of FFmpeg has been compiled with a different aac encoder.
    Uses libvo_aacenc instead of libfaac.
    With command ffmpeg -codecs you see that libfaac isn't on the list.
    Thank you, it worked for me, too!
    I had analogeous problem ( Unknown encoder 'libvo_aacenc' ) while trying to convert AVI to 3GP using WinFF.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •